Texture2D tex : register(t0);
SamplerState smp : register(s0);

struct input_t {
    float4 pos : SV_Position;
    float2 uv  : TEXCOORD1;
    float4 col : TEXCOORD2;
};

float4 main(input_t input) : SV_Target0 {
    float4 col = input.col;
    float4 spr = tex.Sample(smp, input.uv);
    return spr * col;
}
